<?php

namespace Onestartup\UserAdmin\Requests;

use Illuminate\Foundation\Http\FormRequest;

class RequestEditUser extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {   
        error_log($this->route("id"));
        return [
            'name' => 'required|max:255',
            'email' => 'required|email|max:255|unique:users,email,'.$this->route("id"),
            'rol_id'=> 'required|integer',
            'short_bio' => 'max:555'
        ];
    }
}